From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-pulseaudio-plugin/
Date: Sat, 12 Apr 2025 04:54:01 +0000 (UTC) [thread overview]
Message-ID: <1744431018.e31680cbf1e4e4a3ef237ae0c0fa23cf635435c4.mgorny@gentoo> (raw)
commit: e31680cbf1e4e4a3ef237ae0c0fa23cf635435c4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 12 04:09:45 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 12 04:10:18 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e31680cb
xfce-extra/xfce4-pulseaudio-plugin: Bump to 0.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
| 1 +
.../xfce4-pulseaudio-plugin-0.5.0.ebuild | 70 ++++++++++++++++++++++
2 files changed, 71 insertions(+)
--git a/xfce-extra/xfce4-pulseaudio-plugin/Manifest b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
index bcc089c0049f..03402d48fb34 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/Manifest
+++ b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
@@ -1,2 +1,3 @@
DIST xfce4-pulseaudio-plugin-0.4.8.tar.bz2 434257 BLAKE2B 0ba1336fae01199996cd56b26393eecbf1276a645cdc8129ba4a4d817699282e0b84a1c060513fbffee1c84ed2e863b2a82eb5875ef5ea42c53332d6aae5de7f SHA512 8f6f06a65295ff53bd18a32dc302b2d12fb722bcfacd549c79dbc88e8ab6890888f158ea02ce5a21b261fa681068d68f18eb076f1dc2cb9135b7fc1e77fa7ce8
DIST xfce4-pulseaudio-plugin-0.4.9.tar.bz2 483722 BLAKE2B d2ca77b8072feddf80557c693f37fa4806726701bc7542201bd47193220e1bc2b64559b4a4faaf5abae284bca61c63f12999e7d9c3bcd72b8af422123998b0b9 SHA512 7fa29e85146e8cbbd420aed11050924fbb9c1a93657da1a4d3e207f5a7cc7fc99acdc41b467420a8948535a7f45e2a8e6d63f79df3cef228ada810566f15c263
+DIST xfce4-pulseaudio-plugin-0.5.0.tar.xz 117632 BLAKE2B 753125aae2627a8f256213ee3d1fef2ddc06d59877f7ab2d3798791badde654c559930b8507505f43a9620ed07c3bdef63be42bab498c4adc28a539797b6adc1 SHA512 19e4520e8a16c6d505f33748ff6612f5d9abe213bfe28a3818ba6f95cdccfcf3cda336a397ecef51ca53c2b846758b468a9e7d5690ae6dd1c00395e516f9e101
diff --git a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.5.0.ebuild b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.5.0.ebuild
new file mode 100644
index 000000000000..87251132fb86
--- /dev/null
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.5.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson xdg-utils
+
+DESCRIPTION="A panel plug-in for PulseAudio volume control"
+HOMEPAGE="
+ https://docs.xfce.org/panel-plugins/xfce4-pulseaudio-plugin/start
+ https://gitlab.xfce.org/panel-plugins/xfce4-pulseaudio-plugin/
+"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+keybinder libcanberra libnotify"
+
+# TODO: remove exo when we dep on >=libxfce4ui-4.21.0
+DEPEND="
+ >=dev-libs/glib-2.50.0
+ >=media-libs/libpulse-0.9.19:=[glib]
+ >=x11-libs/gtk+-3.22.0:3
+ >=xfce-base/exo-4.16.0:=
+ >=xfce-base/libxfce4ui-4.16.0:=[gtk3(+)]
+ >=xfce-base/libxfce4util-4.16.0:=
+ >=xfce-base/libxfce4windowing-4.19.6:=
+ >=xfce-base/xfce4-panel-4.16.0:=
+ >=xfce-base/xfconf-4.16.0:=
+ keybinder? ( >=dev-libs/keybinder-0.2.2:3 )
+ libcanberra? ( >=media-libs/libcanberra-0.30 )
+ libnotify? ( >=x11-libs/libnotify-0.7.0 )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature keybinder)
+ $(meson_feature libcanberra)
+ $(meson_feature libnotify)
+ -Dlibxfce4windowing=enabled
+ -Dmpris2=enabled
+ )
+
+ meson_src_configure
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+
+ if ! has_version media-sound/pavucontrol; then
+ elog "For the 'audio mixer...' shortcut to work, you need to install"
+ elog "an external mixer application. Please either install:"
+ elog
+ elog " media-sound/pavucontrol"
+ elog
+ elog "or specify another application to use in the 'Properties' dialog."
+ fi
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2025-04-12 4:54 UTC|newest]
Thread overview: 89+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-12 4:54 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-25 4:46 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-pulseaudio-plugin/ Michał Górny
2025-01-25 14:33 Sam James
2024-12-28 13:26 Arthur Zamarin
2024-12-28 10:54 Arthur Zamarin
2024-12-28 10:49 Arthur Zamarin
2024-12-28 9:06 Arthur Zamarin
2024-12-28 9:01 Arthur Zamarin
2024-12-28 9:00 Arthur Zamarin
2024-12-28 8:59 Arthur Zamarin
2024-12-28 8:58 Arthur Zamarin
2024-12-06 4:01 Michał Górny
2023-12-22 5:14 Ionen Wolkens
2023-11-02 12:58 Michał Górny
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-01 20:37 Arthur Zamarin
2023-11-01 19:04 Arthur Zamarin
2023-10-02 4:22 Michał Górny
2023-06-11 23:51 Sam James
2023-06-11 19:28 Michał Górny
2023-06-11 19:20 Arthur Zamarin
2023-06-11 19:16 Arthur Zamarin
2023-06-11 15:38 Sam James
2023-06-11 13:46 Sam James
2023-06-11 10:01 Andreas Sturmlechner
2023-06-01 14:50 Michał Górny
2023-04-14 20:50 Sam James
2023-03-29 5:07 Michał Górny
2022-11-26 17:03 Michał Górny
2022-11-26 17:03 Michał Górny
2022-10-09 19:06 Michał Górny
2022-10-09 16:07 Arthur Zamarin
2022-10-09 8:55 Agostino Sarubbo
2022-10-08 23:10 Sam James
2022-10-08 19:28 Sam James
2022-10-08 16:03 Arthur Zamarin
2022-10-08 16:03 Arthur Zamarin
2022-09-16 5:45 Michał Górny
2022-09-03 8:40 Michał Górny
2022-08-28 6:49 WANG Xuerui
2021-09-01 12:59 Marek Szuba
2021-04-12 23:33 Sam James
2021-04-08 8:51 Michał Górny
2021-02-25 9:49 Sam James
2021-02-18 7:26 Sam James
2021-02-08 6:11 Sam James
2021-01-17 22:30 Michał Górny
2021-01-16 19:03 Michał Górny
2020-07-19 14:19 Michał Górny
2020-06-29 18:24 Mikle Kolyada
2020-06-26 21:16 Mart Raudsepp
2020-06-20 15:23 Thomas Deutschmann
2020-03-30 6:51 Michał Górny
2019-10-20 10:24 Michał Górny
2019-10-10 18:35 Mikle Kolyada
2019-10-10 18:31 Mikle Kolyada
2019-08-11 19:26 Michał Górny
2019-04-07 8:29 Michał Górny
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-07-10 12:29 Michał Górny
2018-04-12 19:12 Michał Górny
2018-04-08 17:28 Aaron Bauman
2018-03-25 17:27 Michał Górny
2018-03-20 9:47 Jason Zaman
2018-02-27 8:25 Michał Górny
2018-02-27 8:25 Michał Górny
2018-01-05 11:30 Mikle Kolyada
2017-12-07 14:39 Michał Górny
2017-12-07 14:39 Michał Górny
2017-11-25 18:16 Michał Górny
2017-11-25 18:16 Michał Górny
2017-10-29 18:15 Jason Zaman
2017-09-30 7:27 Michał Górny
2017-08-26 17:49 Michał Górny
2017-07-12 21:34 Sergei Trofimovich
2017-05-22 14:13 Michał Górny
2017-05-22 14:13 Michał Górny
2017-05-17 6:14 Michael Weber
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-08-02 16:10 Michał Górny
2016-04-19 13:01 Michał Górny
2015-10-28 21:01 Michał Górny
2015-09-20 15:07 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1744431018.e31680cbf1e4e4a3ef237ae0c0fa23cf635435c4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox